application:
  process:
    id: DSRC01
    name: DSRC Communication Server
    history: true
    user-id: admin
    user-pswd: 1234

  dsrc:
    dump:
      recv: true
      send: true
    server:
      auth-user: test1
      auth-password: test1
      sender-text: DSRC Center Unit
    publication:
      multimedia: false
      non-crypt-obu: true
      antenna: 1
    subscription:
      status: true
      status-cycle: 30
      traffic: true
    filtering:
      min-speed: 3
      max-speed: 140
      history-minute: 50
      algorithm: 1
    comm:
      binding-addr:
      binding-port: 3550
      backlog: 0
      accept-threads: 0
      worker-threads: 0
      rcv-buf: 0
      snd-buf: 0
      reader-idle-time-seconds: 0
      writer-idle-time-seconds: 0
      all-idle-time-seconds: 0
      connect-timeout-seconds: 0
      max-connection: 10
      packet-workers: 0
      logging-workers: 0
      dbms-workers: 1

  thread-pool:

  controller-comm:
    comm-logging: true
    retry-seconds: 20
    connect-timeout: 5

  center-comm:
    listen-port: 9901

server:
  port: 9875
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300

spring:
  application:
    name: vds-comm-server
  profiles:
    active: dev
  main:
    web-application-type: none
    log-startup-info: true
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  datasource:
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1 FROM DUAL
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000
      pool-name: pool-vds-comm-server

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@115.91.94.42:1522:HANTE19C
      username: ptatms
      password: ptatms

---
spring:
  config:
    activate:
      on-profile: prod
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@172.19.10.11:1521:ptatms
      username: ptatms
      password: ptatms

